Bug 56758 - (IDE VIA)RH7.2 installation hangs on "Partition check:"
(IDE VIA)RH7.2 installation hangs on "Partition check:"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-27 02:17 EST by oneway
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description oneway 2001-11-27 02:17:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
I am trying to install RH 7.2 on the following system:
AMD Athlon 1.13 GHz Asus A7V motherboard (with KT133A chipset and builtin 
Promise RAID controller). HD is connected to UDMA controller, nothing is 
connected to RAID controller at this point.
784MB RAM
WesternDigital 4.3 GB HD
Matrox G400 VCard
Generic CD-ROM

It appears that installation hangs due to some problem related to HD. I 
installed W2K on this system for test purposes and it works without any 
problems. The following info is printed by the installation program:
....
VP_IDE: IDE controller on PCI bus 00 dev 21
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx
VP_IDE: VIA vt82c686b (rev40) IDE UDMA100 controller on pci0:4.1
    ide0: BM-DMA at 0xd800-0xd807, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xd808-0xd80f, BIOS settings: hdc:DMA, hdd:pio
PDC20265: IDE controller on PCI bus 00 dev 88
PCI: Found IRQ 10 for device 00:11.0
PDC20265: chipset revision 2
PDC20265: not 100% native mode: will probe irqs later
PDC20265: (U)DMA Burst Bit ENABLED Primary PCI Mode Secondary PCI Mode.
    ide2: BM-DMA at 0x8400-0x8407, BIOS settings: hde:pio, hdf:pio
    ide3: BM-DMA at 0x8408-0x840f, BIOS settings: hdg:DMA, hdh:DMA
hda: WDC AC34300L, ATA DISK drive
hdc: CR-2801TE, ATAPI DVD/CDROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: 8406720 sectors (4304 MB) w/256KiB Cache, CHS=523/255/63, UDMA(33)
hdc: ATAPI 8X CD-ROM CD-R drive, 512kB Cache
Uniform CD-ROM driver Revision: 3.12
ide-floppy driver 0.97
Partition check:
 hda: hda1 (installation hangs here)

Any ideas? Thanks in advance.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Run RH7.2 installation on the described configuration

Actual Results:  Installation hangs

Expected Results:  Installation should continue

Additional info:
Comment 1 oneway 2001-11-27 10:50:49 EST
Disabled "Onboard ATA BIOS" option in BIOS. Boot process is no longer
checking if any devices are attached to the Promise RAID controller. 
Installation still hangs on the Partition check. Is there any way to get this 
working at all??
Comment 2 oneway 2001-11-27 13:24:10 EST
Enabled "Onboard ATA BIOS" and connected HD to Promise ATA100 RAID controller 
instead of VIA UDMA100 controller. RH installation gives slightly different 
messages now. Installtion still hangs. The last two lines are:
....
Partition check:
  hde: [PTBL] [523/255/63] hde1 

Comment 3 Arjan van de Ven 2001-11-27 13:26:35 EST
Have you tried booting with "ide=nodma" as option in the syslinux prompt ?
Comment 4 oneway 2001-11-27 13:53:52 EST
Typed "linux ide=nodma" (without quotes) at the installation "boot:" prompt. 
Installation still hangs on the partition check as before.
Comment 5 oneway 2001-11-28 12:29:06 EST
Clarification: The exact model of mboard I have is Asus A7V133 with KT133A 
chipset and onboard Promise Raid ATA100 controller. W2K works with this board 
flawlessly.
Comment 6 oneway 2001-12-01 19:29:58 EST
It appears that if system does not have a floppy drive, RH7.2 (and RH7.1) 
cannot be installed. After a floppy drive was added to the box and HD was 
connected to the Promise ATA100 controller, I was able to install RH7.2.

IMO, THIS MUST BE FIXED. WITHOUT A FLOPPY DRIVE, RH INSTALLATION HANGS WITH NO 
MEANINGFUL ERROR MESSAGES AND/OR WARNINGS.

Comment 7 Bugzilla owner 2004-09-30 11:39:17 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.